org.eclipse.eef.ide.ui.internal.widgets

## Class EEFControlSwitch

- java.lang.Object
- - org.eclipse.eef.ide.ui.internal.widgets.EEFControlSwitch

    public class EEFControlSwitch
    extends java.lang.Object

Utility class used to dispatch the creation of the control to create.

### Constructor Summary

Constructors
Constructor and Description
`EEFControlSwitch(org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter, EditingContextAdapter contextAdapter)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<IEEFLifecycleManager>` `doCreate(org.eclipse.swt.widgets.Composite parent, IEEFFormContainer formContainer, EEFControlDescription controlDescription, org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)` Creates the control from the given description in the given parent.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFControlSwitch

    public EEFControlSwitch(org.eclipse.sirius.common.interpreter.api.IInterpreter interpreter,
                            EditingContextAdapter contextAdapter)

The constructor.

Parameters:
  `interpreter` - The interpreter
  `contextAdapter` - The editing context adapter

### Method Detail

#### doCreate

    public java.util.List<IEEFLifecycleManager> doCreate(org.eclipse.swt.widgets.Composite parent,
                                                         IEEFFormContainer formContainer,
                                                         EEFControlDescription controlDescription,
                                                         org.eclipse.sirius.common.interpreter.api.IVariableManager variableManager)

Creates the control from the given description in the given parent.

Parameters:
  `parent` - The parent in which the control should be created
  `formContainer` - The container of the form
  `controlDescription` - The description of the control to be created
  `variableManager` - The variable manager
Returns:
  The list of all the lifecycle manager that have been created. One description can create multiple controls and thus multiple lifecycle managers (for example dynamic mappings).